//
//  LoadingView.swift
//  Browse
//
//  Created by Javier Cicchelli on 15/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import SwiftUI

struct LoadingView: View {
    var body: some View {
        VStack(spacing: 24) {
            ProgressView()
                .controlSize(.large)
                .tint(.red)
            
            Text(
                "loading.loading_data.text",
                bundle: .module
            )
            .font(.body)
            .fontWeight(.semibold)
        }
        .ignoresSafeArea()
    }
}

// MARK: - Previews

struct LoadingView_Previews: PreviewProvider {
    static var previews: some View {
        LoadingView()
    }
}
